## libquazip 0.7.3

=== debian/changelog ===
libquazip (0.7.3-5ubuntu1) bionic; urgency=medium

  * Adjust symbols file for the -O3 case (Ubuntu/ppc64el).

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 22 Mar 2018 09:27:30 -0700

libquazip (0.7.3-5) unstable; urgency=medium

  * Enable arch build only
    Closes: #891242

 -- Andreas Tille <tille@debian.org>  Sun, 04 Mar 2018 21:02:42 +0100

libquazip (0.7.3-4) unstable; urgency=medium

  * Do not specify cmake version explicitly in debhelper install (Thanks for
    the patch to Adrian Bunk <bunk@debian.org>)
    Closes: #891222
  * debhelper 11
  * Standards-Version: 4.1.3
  * Fix installation of docs

 -- Andreas Tille <tille@debian.org>  Fri, 23 Feb 2018 17:10:42 +0100

libquazip (0.7.3-3) unstable; urgency=medium

  [ Alf Gaida <agaida@siduction.org> ]
  * libquazip5-1 depends on libquazip5-headers instead of libquazip-headers
    Closes: #884800
  * Install cmake files
    Closes: #778768
  * debhelper with --fail-missing

 -- Andreas Tille <tille@debian.org>  Wed, 20 Dec 2017 10:48:51 +0100

libquazip (0.7.3-2) unstable; urgency=medium

  * Add symbols files
    Closes: #758011
  * Standards-Version: 4.1.2

 -- Andreas Tille <tille@debian.org>  Sun, 17 Dec 2017 17:05:25 +0100

libquazip (0.7.3-1) unstable; urgency=medium

  * New upstream version
  * debhelper 10
  * Fix dh_installchangelogs
    Closes: #876886
  * Remove unused lintian-override
  * Standards-Version: 4.1.0 (no changes needed)

 -- Andreas Tille <tille@debian.org>  Tue, 26 Sep 2017 22:14:40 +0200

=== debian/control ===
Source: libquazip
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Eric Maeker <eric.maeker@gmail.com>,
           Andreas Tille <tille@debian.org>,
           Stefan Ahlers <stef.ahlers@t-online.de>
Section: libs
Priority: optional
Build-Depends: debhelper (>= 11~),
               libqt4-dev,
               cmake,
               qtbase5-dev,
               qtchooser,
               libxext-dev,
               zlib1g-dev
Standards-Version: 4.1.3
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/libquazip.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/libquazip.git
Homepage: https://sourceforge.net/projects/quazip/

Package: libquazip1
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: libquazip-doc
Pre-Depends: ${misc:Pre-Depends}
Conflicts: libquazip0
Replaces: libquazip0
Description: C++ wrapper for ZIP/UNZIP (Qt4 build)
 QuaZIP is a simple C++ wrapper over Gilles Vollant's ZIP/UNZIP package that
 can be used to access ZIP archives. It uses Trolltech's Qt toolkit.
 .
 QuaZIP allows you to access files inside ZIP archives using QIODevice API,
 and that means that you can also use QTextStream, QDataStream or
 whatever you would like to use on your zipped files.
 .
 QuaZIP provides complete abstraction of the ZIP/UNZIP API, for both reading
 from and writing to ZIP archives.
 .
 QuaZIP is by default built using Qt4 libraries.

Package: libquazip-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libquazip1 (= ${binary:Version}),
         libquazip-headers (= ${binary:Version}),
         ${misc:Depends},
         zlib1g-dev
Conflicts: libquazip0-dev,
           libquazip1-dev
Replaces: libquazip0-dev,
          libquazip1-dev
Description: C++ wrapper for ZIP/UNZIP (development files, Qt4 build)
 QuaZIP is a simple C++ wrapper over Gilles Vollant's ZIP/UNZIP package that
 can be used to access ZIP archives. It uses Trolltech's Qt toolkit.
 .
 QuaZIP allows you to access files inside ZIP archives using QIODevice API,
 and that means that you can also use QTextStream, QDataStream or
 whatever you would like to use on your zipped files.
 .
 QuaZIP provides complete abstraction of the ZIP/UNZIP API, for both reading
 from and writing to ZIP archives.
 .
 This package contains the development files.
 .
 QuaZIP is by default built using Qt4 libraries.

Package: libquazip5-1
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: libquazip-doc
Pre-Depends: ${misc:Pre-Depends}
Breaks: libquazip1-qt5,
        libquazip-qt5-1
Provides: libquazip1-qt5,
          libquazip-qt5-1
Replaces: libquazip1-qt5,
          libquazip-qt5-1
Description: C++ wrapper for ZIP/UNZIP (Qt5 build)
 QuaZIP is a simple C++ wrapper over Gilles Vollant's ZIP/UNZIP package that
 can be used to access ZIP archives. It uses Trolltech's Qt toolkit.
 .
 QuaZIP allows you to access files inside ZIP archives using QIODevice API,
 and that means that you can also use QTextStream, QDataStream or
 whatever you would like to use on your zipped files.
 .
 QuaZIP provides complete abstraction of the ZIP/UNZIP API, for both reading
 from and writing to ZIP archives.
 .
 QuaZIP built using Qt5 libraries.

Package: libquazip5-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libquazip5-1 (= ${binary:Version}),
         libquazip5-headers (= ${binary:Version}),
         ${misc:Depends},
         zlib1g-dev
Conflicts: libquazip-qt5-1-dev,
           libquazip-qt5-dev
Replaces: libquazip-qt5-1-dev,
          libquazip-qt5-dev
Description: C++ wrapper for ZIP/UNZIP (development files, Qt5 build)
 QuaZIP is a simple C++ wrapper over Gilles Vollant's ZIP/UNZIP package that
 can be used to access ZIP archives. It uses Trolltech's Qt toolkit.
 .
 QuaZIP allows you to access files inside ZIP archives using QIODevice API,
 and that means that you can also use QTextStream, QDataStream or
 whatever you would like to use on your zipped files.
 .
 QuaZIP provides complete abstraction of the ZIP/UNZIP API, for both reading
 from and writing to ZIP archives.
 .
 This package contains the development files.
 .
 QuaZIP built using Qt5 libraries.

Package: libquazip-headers
Architecture: any
Multi-Arch: foreign
Section: libdevel
Depends: ${misc:Depends}
Breaks: libquazip1-headers
Conflicts: libquazip0-dev,
           libquazip1-headers
Replaces: libquazip1-headers
Description: C++ wrapper for ZIP/UNZIP (development header files)
 QuaZIP is a simple C++ wrapper over Gilles Vollant's ZIP/UNZIP package that
 can be used to access ZIP archives. It uses Trolltech's Qt toolkit.
 .
 QuaZIP allows you to access files inside ZIP archives using QIODevice API,
 and that means that you can also use QTextStream, QDataStream or
 whatever you would like to use on your zipped files.
 .
 QuaZIP provides complete abstraction of the ZIP/UNZIP API, for both reading
 from and writing to ZIP archives.
 .
 This package contains the headers of the library.

Package: libquazip5-headers
Architecture: any
Multi-Arch: foreign
Section: libdevel
Depends: ${misc:Depends}
Description: C++ wrapper for ZIP/UNZIP (development header files, Qt5 build)
 QuaZIP is a simple C++ wrapper over Gilles Vollant's ZIP/UNZIP package that
 can be used to access ZIP archives. It uses Trolltech's Qt toolkit.
 .
 QuaZIP allows you to access files inside ZIP archives using QIODevice API,
 and that means that you can also use QTextStream, QDataStream or
 whatever you would like to use on your zipped files.
 .
 QuaZIP provides complete abstraction of the ZIP/UNZIP API, for both reading
 from and writing to ZIP archives.
 .
 This package contains the headers of the Qt5 library.

Package: libquazip-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: C++ wrapper for ZIP/UNZIP (documentation)
 QuaZIP is a simple C++ wrapper over Gilles Vollant's ZIP/UNZIP package that
 can be used to access ZIP archives. It uses Trolltech's Qt toolkit.
 .
 QuaZIP allows you to access files inside ZIP archives using QIODevice API,
 and that means that you can also use QTextStream, QDataStream or
 whatever you would like to use on your zipped files.
 .
 QuaZIP provides complete abstraction of the ZIP/UNZIP API, for both reading
 from and writing to ZIP archives.
 .
 This package contains the API documentation in HTML.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# This code is released under the BSD-3 Clause
# Created by Eric Maeker, 2012 - 2014
# Modified by Stefan Ahlers, 2016

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

# Enable multiarch builds & prepare qmake vars
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
QT4_PATH = build/qt4
QT5_PATH = build/qt5

# This has to be exported to make some magic below work.

%:
	dh $@ #--with migrations

override_dh_auto_configure:
	mkdir -p $(QT4_PATH) $(QT5_PATH)

	# Qt4 builds - CMake (dynamic and static)
	QT_SELECT=qt4 \
	dh_auto_configure -B$(QT4_PATH) -- -DBUILD_WITH_QT4=ON \
	-DLIB_SUFFIX=/$(DEB_HOST_MULTIARCH) \
	-DCMAKE_POSITION_INDEPENDENT_CODE=ON

	# Qt5 builds - CMake (dynamic and static)
	QT_SELECT=qt5 \
	dh_auto_configure -B$(QT5_PATH) -- -DBUILD_WITH_QT4=OFF \
	-DLIB_SUFFIX=/$(DEB_HOST_MULTIARCH) \
	-DCMAKE_POSITION_INDEPENDENT_CODE=ON

	cp NEWS.txt NEWS

override_dh_auto_build:
	# Qt4 builds - make (dynamic and static)
	QT_SELECT=qt4 dh_auto_build -B$(QT4_PATH)

	# Qt5 builds - make (dynamic and static)
	QT_SELECT=qt5 dh_auto_build -B$(QT5_PATH)

override_dh_auto_clean:
	dh_auto_clean -B$(QT4_PATH)
	dh_auto_clean -B$(QT5_PATH)
	rm -Rf NEWS

override_dh_auto_install:
	# Install Qt4 packages
	dh_auto_install -B$(QT4_PATH)

	# Install Qt5 packages
	dh_auto_install -B$(QT5_PATH)

override_dh_installchangelogs:
	dh_installchangelogs -k NEWS

override_dh_installdocs-indep:
	dh_installdocs -i
	find debian -name "*.md5" -delete
	# somehow the docs are installed to libquazip-dev which is not good since there are two -dev packages
	mv debian/*-doc/usr/share/doc/*-dev/html debian/*-doc/usr/share/doc/*-doc
	rm -rf debian/*-doc/usr/share/doc/*-dev

override_dh_missing:
	dh_missing --fail-missing

## libquazip 0.7.6

=== CMakeLists.txt ===
project(QuaZip)
cmake_minimum_required(VERSION 2.6)

# CMP0042: Explicitly acknowledge MACOSX_RPATH
# (introduced in CMake 2.8.12, enabled by default in CMake 3.0,
# and producing a warning when unset since 3.7.1)
cmake_policy(SET CMP0042 NEW)

option(BUILD_WITH_QT4 "Build QuaZip with Qt4 no matter if Qt5 was found" OFF)

if( NOT BUILD_WITH_QT4 )
    # try Qt5 first, and prefer that if found
    find_package(Qt5Core QUIET)
endif()

if(Qt5Core_FOUND)
    set(CMAKE_CXX_STANDARD 11)
    set(QTCORE_LIBRARIES ${Qt5Core_LIBRARIES})
    set(QUAZIP_LIB_VERSION_SUFFIX 5)
    # if there is no QT_ROOT, try to deduce it from Qt QtCore include
    if("${QT_ROOT}" STREQUAL "")
        set(QT_ROOT ${QT_QTCORE_INCLUDE_DIR}/../..)
    endif()
    include_directories(${Qt5Core_INCLUDE_DIRS})

    macro(qt_wrap_cpp)
        qt5_wrap_cpp(${ARGN})
    endmacro()
else()
    set(qt_min_version "4.5.0")
    find_package(Qt4 REQUIRED)
    set(QT_USE_QTGUI false)
    include(${QT_USE_FILE})
    include_directories(${QT_INCLUDES})
    set(QTCORE_LIBRARIES ${QT_QTCORE_LIBRARY})

    macro(qt_wrap_cpp)
        qt4_wrap_cpp(${ARGN})
    endmacro()
endif()

# Use system zlib on unix and Qt ZLIB on Windows
if(UNIX OR MINGW)
    find_package(ZLIB REQUIRED)
else(UNIX OR MINGW)
    set(ZLIB_INCLUDE_DIRS "${QT_ROOT}/src/3rdparty/zlib" CACHE STRING "Path to ZLIB headers of Qt")
    set(ZLIB_LIBRARIES "")
    if(NOT EXISTS "${ZLIB_INCLUDE_DIRS}/zlib.h")
        message("Please specify a valid zlib include dir")
    endif(NOT EXISTS "${ZLIB_INCLUDE_DIRS}/zlib.h")
endif(UNIX OR MINGW)

# All build libraries are moved to this directory
set(LIBRARY_OUTPUT_PATH ${CMAKE_BINARY_DIR})

set(LIB_SUFFIX "" CACHE STRING "Define suffix of directory name (32/64)")
set(LIB_DESTINATION "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}" CACHE STRING "Library directory name" FORCE)
set(QUAZIP_LIB_TARGET_NAME quazip${QUAZIP_LIB_VERSION_SUFFIX} CACHE
    INTERNAL "Target name of libquazip" FORCE)

add_subdirectory(quazip)

install(FILES FindQuaZip.cmake RENAME FindQuaZip${QUAZIP_LIB_VERSION_SUFFIX}.cmake DESTINATION ${CMAKE_ROOT}/Modules)

=== quazip/CMakeLists.txt ===
# set all include directories for in and out of source builds
include_directories(
	${CMAKE_CURRENT_SOURCE_DIR}
	${CMAKE_CURRENT_BINARY_DIR}
	${ZLIB_INCLUDE_DIRS}
)

file(GLOB SRCS "*.c" "*.cpp")
file(GLOB PUBLIC_HEADERS "*.h")

# Must be added to enable export macro
ADD_DEFINITIONS(-DQUAZIP_BUILD)

qt_wrap_cpp(MOC_SRCS ${PUBLIC_HEADERS})
set(SRCS ${SRCS} ${MOC_SRCS})

add_library(${QUAZIP_LIB_TARGET_NAME} SHARED ${SRCS})
add_library(quazip_static STATIC ${SRCS})
 
# Windows uses .lib extension for both static and shared library
# *nix systems use different extensions for SHARED and STATIC library and by convention both libraries have the same name
if (NOT WIN32)
	set_target_properties(quazip_static PROPERTIES OUTPUT_NAME quazip${QUAZIP_LIB_VERSION_SUFFIX})
endif ()

set_target_properties(${QUAZIP_LIB_TARGET_NAME} quazip_static PROPERTIES VERSION 1.0.0 SOVERSION 1 DEBUG_POSTFIX d)
# Link against ZLIB_LIBRARIES if needed (on Windows this variable is empty)
target_link_libraries(${QUAZIP_LIB_TARGET_NAME} ${QT_QTMAIN_LIBRARY} ${QTCORE_LIBRARIES} ${ZLIB_LIBRARIES})
target_link_libraries(quazip_static ${QT_QTMAIN_LIBRARY} ${QTCORE_LIBRARIES} ${ZLIB_LIBRARIES})

install(FILES ${PUBLIC_HEADERS} DESTINATION include/quazip${QUAZIP_LIB_VERSION_SUFFIX})
install(TARGETS ${QUAZIP_LIB_TARGET_NAME} quazip_static LIBRARY DESTINATION ${LIB_DESTINATION} ARCHIVE DESTINATION ${LIB_DESTINATION} RUNTIME DESTINATION ${LIB_DESTINATION})

=== debian/changelog ===
libquazip (0.7.6-6build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Mar 2020 15:06:38 +0100

libquazip (0.7.6-6) unstable; urgency=medium

  * Provide header files also in /usr/include/quazip

 -- Andreas Tille <tille@debian.org>  Fri, 29 Nov 2019 09:09:43 +0100

libquazip (0.7.6-5) unstable; urgency=medium

  * Remove obsolete fields Name from debian/upstream/metadata.
  * Rely on pre-initialized dpkg-architecture variables.
  * Fix day-of-week for changelog entries 0.4.4-1.
  * Add d-shlibmove override

 -- Andreas Tille <tille@debian.org>  Sat, 28 Sep 2019 08:30:05 +0200

libquazip (0.7.6-4) unstable; urgency=medium

  * Expected to pass new queue due to name change.  Since this is not
    the case doing a source only upload

 -- Alf Gaida <agaida@siduction.org>  Mon, 19 Aug 2019 14:37:06 +0200

libquazip (0.7.6-3) unstable; urgency=medium

  [ Alf Gaida ]
  * Switched to debhelper-compat (=12)
  * Removed obsolete build dependency libqt4-dev (Closes: #875026)
  * Bumped Standards-Version to 4.4.0, no changes needed
  * Removed Qt4 packages from control and fixed the description of Qt5 packages
  * Modified debian/rules to fit Qt5 only builds
  * Don't provide statically linked files anymore
  * Added the now needed install files
  * Fixed symbols for gcc-9
  * Added Build-Depends-Package field to symbols
  * Removed superfluous Section entry from libquazip5-1
  * Removed obsolete libquazip5-headers package, combined with -dev,
    -dev is useless without -headers and vice versa - and it doesn't hurt
    if a cmake file is installed in non-cmake builds. Set Breaks and Replaces.
  * Added myself to copyright
  * Added myself to uploaders

  [ Andreas Tille ]
  * Remove Eric Maeker from Uploaders (thanks to Eric for his initial work)
  * Set upstream metadata fields: Name.

 -- Alf Gaida <agaida@siduction.org>  Sun, 18 Aug 2019 16:14:48 +0200

libquazip (0.7.6-2) unstable; urgency=medium

  * Versioned Breaks: libquazip-qt5-1 (<= 0.7-2)
    Closes: #898957
  * Standards-Version: 4.2.1
  * Secure URI in copyright format
  * Remove trailing whitespace in debian/rules

 -- Andreas Tille <tille@debian.org>  Thu, 20 Dec 2018 14:53:30 +0100

libquazip (0.7.6-1) unstable; urgency=medium

  * Project moved to Github
  * New upstream version
    Closes: #902786
  * Build-Depends: doxygen, graphviz
  * Some optional symbols were removed
  * Switch to d-shlibs

 -- Andreas Tille <tille@debian.org>  Sun, 01 Jul 2018 20:26:59 +0200

libquazip (0.7.3-7) unstable; urgency=medium

  [ Alf Gaida ]
  * Marked some symbols optional and described them as gcc8
    Closes: #897794

  [ Andreas Tille ]
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4

 -- Andreas Tille <tille@debian.org>  Sun, 06 May 2018 15:55:07 +0200

libquazip (0.7.3-6) unstable; urgency=medium

  [ Steve Langasek ]
  * symbols adjustments to support build with -O3
    Closes: #893808

 -- Andreas Tille <tille@debian.org>  Thu, 29 Mar 2018 12:16:05 +0200

=== debian/control ===
Source: libquazip
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
           Stefan Ahlers <stef.ahlers@t-online.de>,
           Alf Gaida <agaida@siduction.org>
Section: libs
Priority: optional
Build-Depends: debhelper-compat (= 12),
               d-shlibs,
               cmake,
               qtbase5-dev,
               qtchooser,
               libxext-dev,
               zlib1g-dev,
               doxygen,
               graphviz
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/med-team/libquazip
Vcs-Git: https://salsa.debian.org/med-team/libquazip.git
Homepage: https://github.com/stachenov/quazip

Package: libquazip5-1
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: libquazip-doc
Pre-Depends: ${misc:Pre-Depends}
Breaks: libquazip1-qt5
Provides: libquazip1-qt5,
          libquazip-qt5-1
Replaces: libquazip1-qt5,
          libquazip-qt5-1
Description: C++ wrapper for ZIP/UNZIP
 QuaZIP is a simple C++ wrapper over Gilles Vollant's ZIP/UNZIP package that
 can be used to access ZIP archives. It uses Trolltech's Qt toolkit.
 .
 QuaZIP allows you to access files inside ZIP archives using QIODevice API,
 and that means that you can also use QTextStream, QDataStream or
 whatever you would like to use on your zipped files.
 .
 QuaZIP provides complete abstraction of the ZIP/UNZIP API, for both reading
 from and writing to ZIP archives.
 .
 QuaZIP built using Qt5 libraries.

Package: libquazip5-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libquazip5-1 (= ${binary:Version}),
         ${misc:Depends},
         zlib1g-dev
Breaks: libquazip-qt5-1-dev (<= 0.7-2),
        libquazip-qt5-dev,
        libquazip5-headers
Replaces: libquazip-qt5-1-dev,
          libquazip-qt5-dev,
          libquazip5-headers
Description: C++ wrapper for ZIP/UNZIP (development files)
 QuaZIP is a simple C++ wrapper over Gilles Vollant's ZIP/UNZIP package that
 can be used to access ZIP archives. It uses Trolltech's Qt toolkit.
 .
 QuaZIP allows you to access files inside ZIP archives using QIODevice API,
 and that means that you can also use QTextStream, QDataStream or
 whatever you would like to use on your zipped files.
 .
 QuaZIP provides complete abstraction of the ZIP/UNZIP API, for both reading
 from and writing to ZIP archives.
 .
 This package contains the development files.

Package: libquazip-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: C++ wrapper for ZIP/UNZIP (documentation)
 QuaZIP is a simple C++ wrapper over Gilles Vollant's ZIP/UNZIP package that
 can be used to access ZIP archives. It uses Trolltech's Qt toolkit.
 .
 QuaZIP allows you to access files inside ZIP archives using QIODevice API,
 and that means that you can also use QTextStream, QDataStream or
 whatever you would like to use on your zipped files.
 .
 QuaZIP provides complete abstraction of the ZIP/UNZIP API, for both reading
 from and writing to ZIP archives.
 .
 This package contains the API documentation in HTML.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# This code is released under the BSD-3 Clause
# Created by Eric Maeker, 2012 - 2014
# Modified by Stefan Ahlers, 2016

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

QT_SELECT=qt5

# Enable multiarch builds & prepare qmake vars
include /usr/share/dpkg/architecture.mk


%:
	dh $@ -buildsystem qmake

override_dh_auto_configure:
	dh_auto_configure -- \
		-DBUILD_WITH_QT4=OFF \
		-DLIB_SUFFIX=/$(DEB_HOST_MULTIARCH) \
		-DCMAKE_POSITION_INDEPENDENT_CODE=ON
	cp NEWS.txt NEWS

override_dh_auto_build:
	dh_auto_build
	# build doc
	doxygen

override_dh_auto_clean:
	dh_auto_clean
	$(RM) -r doc
	$(RM) NEWS

override_dh_installchangelogs:
	dh_installchangelogs -k NEWS

override_dh_installdocs-indep:
	dh_installdocs -i
	find debian -name "*.md5" -delete

override_dh_install:
	find debian -name *.a -delete
	dh_install
	cp -a obj-*/libquazip5.a debian/tmp/usr/lib/*/
	d-shlibmove --commit \
		    --multiarch \
		    --devunversioned \
		    --override 's/libQt5[CGX][oreuiml]\+5-dev/qtbase5-dev/' \
		    --exclude-la \
		    --movedev debian/tmp/usr/share/cmake*/Modules/FindQuaZip5.cmake usr/share/quazip/ \
		    --movedev debian/tmp/usr/include usr \
		    debian/tmp/usr/lib/*/libquazip5.so

override_dh_missing:
	dh_missing --fail-missing

=== debian/watch ===
version=4

https://github.com/stachenov/quazip/releases .*/archive/@ANY_VERSION@@ARCHIVE_EXT@

## libquazip 0.9.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,14 +1,17 @@
+cmake_minimum_required(VERSION 2.6)
 project(QuaZip)
-cmake_minimum_required(VERSION 2.6)
 
 # CMP0042: Explicitly acknowledge MACOSX_RPATH
 # (introduced in CMake 2.8.12, enabled by default in CMake 3.0,
 # and producing a warning when unset since 3.7.1)
 cmake_policy(SET CMP0042 NEW)
 
+set(QUAZIP_LIB_VERSION 0.9.1)
+set(QUAZIP_LIB_SOVERSION 1)
+
 option(BUILD_WITH_QT4 "Build QuaZip with Qt4 no matter if Qt5 was found" OFF)
 
-if( NOT BUILD_WITH_QT4 )
+if(NOT BUILD_WITH_QT4)
     # try Qt5 first, and prefer that if found
     find_package(Qt5Core QUIET)
 endif()
@@ -40,24 +43,23 @@
 endif()
 
 # Use system zlib on unix and Qt ZLIB on Windows
-if(UNIX OR MINGW)
-    find_package(ZLIB REQUIRED)
-else(UNIX OR MINGW)
-    set(ZLIB_INCLUDE_DIRS "${QT_ROOT}/src/3rdparty/zlib" CACHE STRING "Path to ZLIB headers of Qt")
-    set(ZLIB_LIBRARIES "")
-    if(NOT EXISTS "${ZLIB_INCLUDE_DIRS}/zlib.h")
-        message("Please specify a valid zlib include dir")
-    endif(NOT EXISTS "${ZLIB_INCLUDE_DIRS}/zlib.h")
-endif(UNIX OR MINGW)
+find_package(ZLIB REQUIRED)
 
 # All build libraries are moved to this directory
 set(LIBRARY_OUTPUT_PATH ${CMAKE_BINARY_DIR})
 
 set(LIB_SUFFIX "" CACHE STRING "Define suffix of directory name (32/64)")
 set(LIB_DESTINATION "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}" CACHE STRING "Library directory name" FORCE)
+set(INSTALL_PKGCONFIG_DIR "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}/pkgconfig" CACHE STRING "Installation directory for pkgconfig (.pc) files" FORCE)
 set(QUAZIP_LIB_TARGET_NAME quazip${QUAZIP_LIB_VERSION_SUFFIX} CACHE
     INTERNAL "Target name of libquazip" FORCE)
 
 add_subdirectory(quazip)
 
-install(FILES FindQuaZip.cmake RENAME FindQuaZip${QUAZIP_LIB_VERSION_SUFFIX}.cmake DESTINATION ${CMAKE_ROOT}/Modules)
+if(UNIX AND NOT APPLE)
+	configure_file( ${CMAKE_CURRENT_SOURCE_DIR}/quazip.pc.cmakein
+			${CMAKE_CURRENT_BINARY_DIR}/quazip.pc @ONLY)
+	install(FILES ${CMAKE_CURRENT_BINARY_DIR}/quazip.pc DESTINATION "${INSTALL_PKGCONFIG_DIR}")
+endif()
+
+install(FILES QuaZipConfig.cmake DESTINATION ${LIB_DESTINATION}/cmake/QuaZip${QUAZIP_LIB_VERSION_SUFFIX} RENAME QuaZip${QUAZIP_LIB_VERSION_SUFFIX}Config.cmake)

=== quazip/CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,8 @@
-# set all include directories for in and out of source builds
-include_directories(
-	${CMAKE_CURRENT_SOURCE_DIR}
-	${CMAKE_CURRENT_BINARY_DIR}
-	${ZLIB_INCLUDE_DIRS}
-)
-
 file(GLOB SRCS "*.c" "*.cpp")
 file(GLOB PUBLIC_HEADERS "*.h")
+
+set(QUAZIP_LIB_VERSION 1.0.0)
+set(QUAZIP_LIB_SOVERSION 1)
 
 # Must be added to enable export macro
 ADD_DEFINITIONS(-DQUAZIP_BUILD)
@@ -23,7 +19,10 @@
 	set_target_properties(quazip_static PROPERTIES OUTPUT_NAME quazip${QUAZIP_LIB_VERSION_SUFFIX})
 endif ()
 
-set_target_properties(${QUAZIP_LIB_TARGET_NAME} quazip_static PROPERTIES VERSION 1.0.0 SOVERSION 1 DEBUG_POSTFIX d)
+target_include_directories(${QUAZIP_LIB_TARGET_NAME} PUBLIC ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${ZLIB_INCLUDE_DIRS})
+target_include_directories(quazip_static PUBLIC ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${ZLIB_INCLUDE_DIRS})
+set_target_properties(${QUAZIP_LIB_TARGET_NAME} quazip_static PROPERTIES VERSION ${QUAZIP_LIB_VERSION} SOVERSION ${QUAZIP_LIB_SOVERSION} DEBUG_POSTFIX d)
+
 # Link against ZLIB_LIBRARIES if needed (on Windows this variable is empty)
 target_link_libraries(${QUAZIP_LIB_TARGET_NAME} ${QT_QTMAIN_LIBRARY} ${QTCORE_LIBRARIES} ${ZLIB_LIBRARIES})
 target_link_libraries(quazip_static ${QT_QTMAIN_LIBRARY} ${QTCORE_LIBRARIES} ${ZLIB_LIBRARIES})

=== debian/changelog ===
libquazip (0.9.1-6) unstable; urgency=medium

  * QA upload.
  * Drop Rules-Requires-Root: no, no more needed since Debian trixie.
  * Drop bits in rules for the future 1.1: quazip 1.x is already tracked by the
    separate src:libquazip1-qt5.
  * Switch away from d-shlibs, since it does not provide a lot of value:
    - add the dh-exec build dependency, needed to rename files in .install files
    - fill .install files according to the current content
    - drop the manual dh_install implementation
    - drop the d-shlibs build dependency, no more used now
    - drop the qtdeclarative5-dev, apparently needed because of d-shlibs
  * Drop the libxext-dev build dependency, not actually used.
  * Rely on the upstream version handling of dh_makeshlibs since compat 12:
    - drop the amd64 symbols file
    - drop the manual dh_makeshlibs invocation
  * Remove field Section on binary package libquazip5-1t64 that duplicates
    source.
  * Add the qtbase5-dev dependency in libquazip5-dev. (Closes: #1035478)
  * Move cleaning of the documentation to a debian/clean file.
  * Simplify and improve the building of the documentation:
    - run doxygen only when building also arch:all packages
    - move pruning of .md5 files right after the doxygen call; this way
      dh_installdocs will need to move less files
    - move the doxygen, and graphviz build dependencies as Build-Depends-Indep
  * Drop practically useless man page for the library.
  * Update lintian overrides.
  * Simplify installation of the NEWS.txt file:
    - drop manual dh_installchangelogs invocation, as the NEWS file is already
      installed by dh_installdocs
    - clean the copied NEWS file properly
  * Hardcode version for the conflicts with the pre-t64 libquazip5-1.
  * Bump Standards-Version to 4.7.2, no changes required.
  * Pass -DCMAKE_POLICY_VERSION_MINIMUM=3.5 to cmake so it builds with cmake 4
    (hoping that everything works properly). (Closes: #1113193)

 -- Pino Toscano <pino@debian.org>  Mon, 29 Sep 2025 10:36:10 +0200

libquazip (0.9.1-5) unstable; urgency=medium

  * Team upload.
  * Add qtdeclarative5-dev as a build dependency (Closes: #1104498)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 04 May 2025 23:20:48 +0200

libquazip (0.9.1-4) unstable; urgency=medium

  * QA upload.
  * debian/libquazip6-1t64.symbols: Fix symbols file on amd64 for time_t
    transition rename.
  * debian/control: Bump Standards-Version
  * debian/: Drop use of qmake and use cmake-based build system.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 31 Mar 2024 00:23:56 +0100

libquazip (0.9.1-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063134

 -- Benjamin Drung <bdrung@debian.org>  Fri, 01 Mar 2024 12:26:49 +0000

libquazip (0.9.1-3) unstable; urgency=medium

  * QA (group) upload
  * Orphan package from Debian Med team maintenance, drop Uploaders
  * Move package from Debian Med Git to Debian
  * Set watch file to no-track since version 1.x is something else
    and separately packaged
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 03 Nov 2022 09:46:42 +0100

libquazip (0.9.1-2) unstable; urgency=medium

  [ Andreas Tille ]
  * override_dh_auto_test: Create test executable manually to pass test
  * Standards-Version: 4.6.0 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)

  [ Bas Couwenberg ]
  * Update symbols for gcc-11.
    Closes: #984206
  * Override dh_makeshlibs to use upstream version and not fail on changes.

 -- Andreas Tille <tille@debian.org>  Mon, 11 Oct 2021 21:43:56 +0200

libquazip (0.9.1-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 13 (routine-update)
  * Update symbols for gcc-10
    Closes: #957472

 -- Andreas Tille <tille@debian.org>  Thu, 23 Jul 2020 15:48:10 +0200

libquazip (0.9-2) unstable; urgency=medium

  * Provide symbols only for amd64
    Closes: #960826

 -- Andreas Tille <tille@debian.org>  Mon, 18 May 2020 09:14:59 +0200

libquazip (0.9-1) unstable; urgency=medium

  [ Federico Ceratto ]
  * New upstream release

  [ Andreas Tille ]
  * debhelper-compat 12 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Sat, 16 May 2020 16:28:10 +0200

=== debian/control ===
--- 
+++ 
@@ -1,36 +1,32 @@
 Source: libquazip
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Andreas Tille <tille@debian.org>,
-           Stefan Ahlers <stef.ahlers@t-online.de>,
-           Alf Gaida <agaida@siduction.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Section: libs
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
-               d-shlibs,
+Build-Depends: dpkg-dev (>= 1.22.5),
+               debhelper-compat (= 13),
+               dh-exec,
                cmake,
                qtbase5-dev,
-               qtchooser,
-               libxext-dev,
                zlib1g-dev,
-               doxygen,
-               graphviz
-Standards-Version: 4.4.0
-Vcs-Browser: https://salsa.debian.org/med-team/libquazip
-Vcs-Git: https://salsa.debian.org/med-team/libquazip.git
+Build-Depends-Indep: doxygen,
+                     graphviz,
+Standards-Version: 4.7.2
+Vcs-Browser: https://salsa.debian.org/debian/libquazip
+Vcs-Git: https://salsa.debian.org/debian/libquazip.git
 Homepage: https://github.com/stachenov/quazip
 
-Package: libquazip5-1
+Package: libquazip5-1t64
 Architecture: any
 Multi-Arch: same
-Section: libs
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Suggests: libquazip-doc
 Pre-Depends: ${misc:Pre-Depends}
+Conflicts: libquazip5-1 (<< 0.9.1-4~)
 Breaks: libquazip1-qt5
-Provides: libquazip1-qt5,
+Provides: ${t64:Provides}, libquazip1-qt5,
           libquazip-qt5-1
-Replaces: libquazip1-qt5,
+Replaces: libquazip5-1, libquazip1-qt5,
           libquazip-qt5-1
 Description: C++ wrapper for ZIP/UNZIP
  QuaZIP is a simple C++ wrapper over Gilles Vollant's ZIP/UNZIP package that
@@ -49,8 +45,9 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libquazip5-1 (= ${binary:Version}),
+Depends: libquazip5-1t64 (= ${binary:Version}),
          ${misc:Depends},
+         qtbase5-dev,
          zlib1g-dev
 Breaks: libquazip-qt5-1-dev (<= 0.7-2),
         libquazip-qt5-dev,

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# This code is released under the BSD-3 Clause
# Created by Eric Maeker, 2012 - 2014
# Modified by Stefan Ahlers, 2016

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

# Enable multiarch builds & prepare qmake vars
include /usr/share/dpkg/architecture.mk

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-DBUILD_WITH_QT4=OFF \
		-DLIB_SUFFIX=/$(DEB_HOST_MULTIARCH) \
		-DCMAKE_POLICY_VERSION_MINIMUM=3.5 \
		-DCMAKE_POSITION_INDEPENDENT_CODE=ON
	cp NEWS.txt NEWS

execute_after_dh_auto_build-indep:
	# build doc
	doxygen
	find doc/html -name "*.md5" -delete

=== debian/watch ===
version=4

opts=dversionmangle=s/.*/0.No-Track/ \
  https://people.debian.org/~eriberto/ FakeWatchNoUpstreamTrackingForThisPackage-(\d\S+)\.gz

#opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/quazip-$1\.tar\.gz/ \
#  https://github.com/stachenov/quazip/tags .*/v?(\d\S*)\.tar\.gz
